#version 150

uniform sampler2D tex;
uniform float intensity;

in vec2 vertexTexCoord;

out vec4 outColor1;

void main(void)
{
	outColor1 = texture(tex, vertexTexCoord);
	outColor1.x = pow(outColor1.x, 1/intensity);
	outColor1.y = pow(outColor1.y, 1/intensity);
	outColor1.z = pow(outColor1.z, 1/intensity);
}